#!/bin/bash

. bin/variables.sh
. bin/functions.sh

if systemctl is-enabled apache2 >/dev/null 2>&1; then
    systemctl disable --now apache2
fi

install_pkg debian-keyring
install_pkg debian-archive-keyring
install_pkg apt-transport-https
install_pkg curl
curl -1sLf 'https://dl.cloudsmith.io/public/caddy/stable/gpg.key' | gpg --dearmor -o /usr/share/keyrings/caddy-stable-archive-keyring.gpg
curl -1sLf 'https://dl.cloudsmith.io/public/caddy/stable/debian.deb.txt' | tee /etc/apt/sources.list.d/caddy-stable.list
install_pkg caddy
> /etc/caddy/Caddyfile

echo -e "${PURPLE}${BOLD}Caddy Webserver installed${RESET}"