#!/bin/bash

. bin/variables.sh
. bin/functions.sh

install_pkg tmux

if [[ -z "$DB_DIRECTUS_PASSWORD" ]]; then
    echo -e "${PURPLE}${BOLD}Enter the MariaDB Directus password : ${RESET}"
    read -s DB_DIRECTUS_PASSWORD
    echo
fi

if [[ -z "$CMS_DIRECTORY" ]]; then
    . bin/set_url.sh
fi

echo "set -g default-shell /bin/sh" >> /etc/tmux.conf
su -s /bin/bash -c "mkdir ${CMS_DIRECTORY}" www-data

echo -e "${PURPLE}${BOLD}Import the Directus database ? (y/N) ${RESET}"
read answer
if [[ "$answer" == "y" ]]; then
    . bin/import_directus_db.sh
else
    . bin/setup_directus.sh
fi